local XLoot = select(2, ...)

local function CompileLocales(locales)
	local L = locales[GetLocale()] and locales[GetLocale()] or locales.enUS
	if L ~= locales.enUS then
		setmetatable(L, { __index = locales.enUS })
		for k, v in pairs(L) do	
			if type(v) == 'table' then
				setmetatable(v, { __index = locales.enUS[k] })
			end
		end
	end
	return L
end

-- locales expects table: { enUS = {...}, ... }
function XLoot:Localize(name, locales)
	self["L_"..name] = CompileLocales(locales)
end

local locales = {
	enUS = {
		skin_svelte = "XLoot: Svelte",
		skin_legacy = "XLoot: Legacy",
		skin_smooth = "XLoot: Smooth",
	},
	-- Possibly localized
	ptBR = {},
	frFR = {},
	deDE = {},
	koKR = {},
	esMX = {},
	ruRU = {},
	zhCN = {},
	esES = {},
	zhTW = {},
}

-- Automatically inserted translations
-- See: http://wow.curseforge.com/addons/xloot-1-0/localization/ to create or fix translations
locales.ptBR.config = {
}
locales.ptBR.config_groups = {
}
locales.ptBR.config_panels = {
}

locales.frFR.config = {
}
locales.frFR.config_groups = {
}
locales.frFR.config_panels = {
}

locales.deDE.config = {
}
locales.deDE.config_groups = {
}
locales.deDE.config_panels = {
}

locales.koKR.config = {
}
locales.koKR.config_groups = {
}
locales.koKR.config_panels = {
}

locales.esMX.config = {
}
locales.esMX.config_groups = {
}
locales.esMX.config_panels = {
}

locales.ruRU.config = {
}
locales.ruRU.config_groups = {
}
locales.ruRU.config_panels = {
}

locales.zhCN.config = {
}
locales.zhCN.config_groups = {
}
locales.zhCN.config_panels = {
}

locales.esES.config = {
}
locales.esES.config_groups = {
}
locales.esES.config_panels = {
}

locales.zhTW.config = {
}
locales.zhTW.config_groups = {
}
locales.zhTW.config_panels = {
}



XLoot.L = CompileLocales(locales)
